small db tests fixes
diff --git a/configs-examples/db_raw.yaml b/configs-examples/db_raw.yaml
new file mode 100644
index 0000000..10104be
--- /dev/null
+++ b/configs-examples/db_raw.yaml
@@ -0,0 +1,15 @@
+explicit_nodes:
+    "ssh://root@192.168.59.104::/home/yportnova/.ssh/id_rsa": testnode
+
+tests:
+    - pgbench:
+        num_clients: 4
+        transactions_per_client: 2
+    - mysql:
+        warehouses: 20
+
+internal:
+    var_dir_root: /tmp/perf_tests
+
+logging:
+    extra_logs: 1
diff --git a/wally/suits/mysql/prepare.sh b/wally/suits/mysql/prepare.sh
index 13804d3..c17724d 100755
--- a/wally/suits/mysql/prepare.sh
+++ b/wally/suits/mysql/prepare.sh
@@ -1,7 +1,23 @@
 #!/bin/bash
+
+while [[ $# > 1 ]]
+do
+key="$1"
+
+case $key in
+    warehouses)
+    WAREHOUSES="$2"
+    shift
+    ;;
+    *)
+    echo "Unknown option $key"
+    exit 1
+    ;;
+esac
+shift
+done
+
 # install and configure mysql
-set -e
-set -x
 
 DATABASE_PASSWORD=wally
 DATBASE_USER=root
@@ -41,4 +57,4 @@
 mysql "$DB_NAME" < create_table.sql
 mysql "$DB_NAME" < add_fkey_idx.sql
 
-./tpcc_load localhost "$DB_NAME" "$DATBASE_USER" "$DATABASE_PASSWORD" 20
\ No newline at end of file
+./tpcc_load localhost "$DB_NAME" "$DATBASE_USER" "$DATABASE_PASSWORD" "$WAREHOUSES"
\ No newline at end of file
diff --git a/wally/suits/mysql/run.sh b/wally/suits/mysql/run.sh
index 284bc1e..8982fa3 100755
--- a/wally/suits/mysql/run.sh
+++ b/wally/suits/mysql/run.sh
@@ -2,10 +2,27 @@
 set -e
 set -x
 
+while [[ $# > 1 ]]
+do
+key="$1"
+
+case $key in
+    warehouses)
+    WAREHOUSES="$2"
+    shift
+    ;;
+    *)
+    echo "Unknown option $key"
+    exit 1
+    ;;
+esac
+shift
+done
+
 DATABASE_PASSWORD=wally
 DATBASE_USER=root
 DB_NAME=tpcc
 
 cd ~/tpcc-mysql
-./tpcc_start -h127.0.0.1 "-d$DB_NAME" "-u$DATBASE_USER" "-p$DATABASE_PASSWORD" -w20 -c16 -r10 -l1200 > ~/tpcc-output.log
-echo "TpmC:" `cat ~/tpcc-output.log | grep  TpmC | grep -o '[0-9,.]\+'`
\ No newline at end of file
+./tpcc_start -h127.0.0.1 "-d$DB_NAME" "-u$DATBASE_USER" "-p$DATABASE_PASSWORD" -w"WAREHOUSES" -c16 -r10 -l1200 > ~/tpcc-output.log
+echo "TpmC:" `cat ~/tpcc-output.log | grep  TpmC | grep -o '[0-9,.]\+'`